## telegram-cli 1.3.1+git20160323.6547c0b21

=== debian/changelog ===
telegram-cli (1.3.1+git20160323.6547c0b21-2) unstable; urgency=low

  * Port to GCC-10 (Closes: #957865)
    - debian/patches/0003_port_to_gcc10.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Jul 2020 00:06:56 +0800

telegram-cli (1.3.1+git20160323.6547c0b21-1) unstable; urgency=low

  * New upstream release (Closes: #737563)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Jan 2019 15:26:45 +0800

telegram-cli (1.3.1-1) unstable; urgency=low

  * Initial release for Debian.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Jan 2019 04:49:16 +0800

telegram-cli (1.0.6-1) unstable; urgency=low

  * Upstream update version
  * Inpliment -e option

 -- Steve Illichevsky <still.ru@gmail.com>  Sat, 11 Oct 2014 08:47:07 +0400

telegram-cli (1.0.5.1-1) unstable; urgency=low

  * Initial release

 -- Steve Illichevsky <still.ru@gmail.com>  Sun, 05 Oct 2014 09:37:06 +0400
