=== debian/watch ===
version=4

opts="dversionmangle=s/[\+~](debian|dfsg|ds|deb|git(\d+))(\.)?(.+)?$//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tg-$1.tar.gz%" \
   https://github.com/vysheng/tg/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
