=== debian/control ===
Source: telegram-cli
Section: user/network
Priority: extra
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 7),
		autotools-dev,
		libreadline5-dev,
		libconfig8-dev,
		libssl-dev,
		libjansson-dev,
		libevent-dev (>= 2.0.21-stable-2maemo1)
Standards-Version: 3.7.2

Package: telegram-cli
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: telegram-cli-lua
Description: Command-line interface for Telegram messenger
 Telegram messenger is a cloud-based instant messaging designed for
 smart phones and similar to Whatsapp but more flexible, and
 powerful. You can send messages, photos, videos and documents to
 people who are in your phone contacts (and have Telegram). Telegram
 also supports secret chats whose provide a private (encrypted) way of
 communication.
 .
 This package contains a command-line based client for Telegram with
 the following features:
  * Colored terminal messages.
  * Message management: history, stats, etc.
  * Group chat: create and manage groups.
  * Secret chat: secured and encrypted conversations.
  * Contact management: add/edit/remove contacts.
  * Multimedia support: send/load photos and videos.
